Fetch Activated Integrations
curl --request GET \
--url https://sandbox-api.payfonte.com/integrations/v1/integrations \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>'import requests
url = "https://sandbox-api.payfonte.com/integrations/v1/integrations"
headers = {
"client-id": "<api-key>",
"client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<api-key>', 'client-secret': '<api-key>'}
};
fetch('https://sandbox-api.payfonte.com/integrations/v1/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"data": [
{
"id": "6a68b195fa51e96ab2120d45",
"clientId": "6thbridge",
"label": "MPesa",
"provider": "mpesa-tanzania",
"type": "payment",
"status": "active",
"logo": "https://files.6thbridge.xyz/public/v1/files/payfusion/content/67dc6a5e0abc90dcd853e993",
"description": "Send money, pay bills, access loans & more, all with your phone. M-Pesa is for everyone, fast, safe, affordable, and empowering.",
"isOwnKeys": false,
"channels": [
"mobile-money"
],
"currencies": [
"TZS"
],
"currency": "TZS",
"country": "TZ",
"chargeVersion": 1,
"charge": null,
"charges": [],
"ownKeys": false
},
{
"id": "6a68b195fa51e96ab2120d44",
"clientId": "6thbridge",
"label": "Halopesa",
"provider": "halopesa-tanzania",
"type": "payment",
"status": "active",
"logo": "https://files.6thbridge.xyz/public/v1/files/payfusion/content/67dc6a5e0abc90dcd853e991",
"description": "Make digital transactions easily and fast transactions anywhere and at any time, quickly, safely with affordably and conveniently 24/7",
"isOwnKeys": false,
"channels": [
"mobile-money"
],
"currencies": [
"TZS"
],
"currency": "TZS",
"country": "TZ",
"chargeVersion": 1,
"charge": null,
"charges": [],
"ownKeys": false
},
{
"id": "6a427dfee884314a5fc5cd5c",
"clientId": "6thbridge",
"label": "Ezy Pesa",
"provider": "ezy-pesa-tanzania",
"type": "payment",
"status": "active",
"logo": "https://mintlify.s3.us-west-1.amazonaws.com/shortstack/images/zeepaylogo.png",
"description": "Mobile Money",
"isOwnKeys": false,
"channels": [
"mobile-money"
],
"currencies": [
"TZS"
],
"currency": "TZS",
"country": "TZ",
"chargeVersion": 1,
"charge": null,
"charges": [],
"ownKeys": false
},
{
"id": "6931b532710ac03f78a6d64b",
"clientId": "6thbridge",
"label": "Airtel",
"provider": "airtel-tanzania",
"type": "payment",
"status": "active",
"logo": "https://s3-ap-southeast-1.amazonaws.com/bsy/iportal/images/airtel-logo-white-text-vertical.jpg",
"description": "Run a better connected business with our enterprise solutions at Airtel.",
"isOwnKeys": false,
"channels": [
"mobile-money"
],
"currencies": [
"TZS"
],
"currency": "TZS",
"country": "TZ",
"chargeVersion": 1,
"charge": null,
"charges": [],
"ownKeys": false
},
{
"id": "6699e58d7a36e0f743d04c55",
"clientId": "6thbridge",
"label": "DigiCash",
"provider": "digicash-tanzania",
"type": "payment",
"status": "active",
"logo": "https://static.wixstatic.com/media/5244b5_7ecdb373a1954c59a18291f32ba0c087~mv2.png",
"description": "Simplify your customer's payment experience in one integration",
"isOwnKeys": true,
"channels": [
"mobile-money"
],
"currencies": [
"TZS"
],
"currency": "TZS",
"country": "TZ",
"chargeVersion": 1,
"charge": null,
"charges": [],
"ownKeys": true
}
]
}Integrations
Fetch Activated Integrations
Retrieve payment providers that have been activated for your business. Filter the response by country, currency, and integration type.
GET
/
integrations
/
v1
/
integrations
Fetch Activated Integrations
Query Parameters
2 character country code
Examples:
"NG"
"US"
"CI"
"SN"
"CA"
"UK"
3 character currency code
Examples:
"NGN"
"USD"
"XOF"
"XAF"
Integration type used to filter activated providers.
Available options:
payment, collection Example:
"payment"
⌘I